classification
Title: PEP 3121, 384 Refactoring applied to sha256 module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, christian.heimes, gregory.p.smith, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:08 by Robin.Schreiber, last changed 2020-11-19 14:07 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
sha256_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:08
Messages (2)
msg168412 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:08
Changes proposed in PEP3121 and PEP384 have now been applied to the sha256 module!
msg381422 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-19 14:07
commit 52a2df135c0470b1dbf889edc51b7c556ae4bc80
Author: Mohamed Koubaa <koubaa.m@gmail.com>
Date:   Tue Sep 8 04:16:14 2020 -0500

    bpo-1635741: Convert _sha256 types to heap types (GH-22134)
    
    Convert the _sha256 extension module types to heap types.

See bpo-41111 "Convert a few stdlib extensions to the limited C API (PEP 384)".
History
Date User Action Args
2020-11-19 14:07:55vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg381422
resolution: duplicate
stage: resolved
2013-07-06 22:55:42christian.heimessetnosy: + christian.heimes
2012-11-08 13:44:34Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 21:08:59Robin.Schreibercreate